Index: calculatorview/src/sans/perspectives/calculator/data_operator.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/data_operator.py	(revision d0923a300687b51f5dc2335ed16bfa1c4cc35405)
+++ calculatorview/src/sans/perspectives/calculator/data_operator.py	(revision 62af27a957973987c9c4bd4d2938105b8bef0d46)
@@ -956,6 +956,7 @@
         
 if __name__ == "__main__":
-   
+
     app  = wx.App()
+    widget.CHILD_FRAME = wx.Frame
     window = DataOperatorWindow(parent=None, data=[], title="Data Editor")
     app.MainLoop()
Index: calculatorview/src/sans/perspectives/calculator/density_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/density_panel.py	(revision d0923a300687b51f5dc2335ed16bfa1c4cc35405)
+++ calculatorview/src/sans/perspectives/calculator/density_panel.py	(revision 62af27a957973987c9c4bd4d2938105b8bef0d46)
@@ -406,4 +406,5 @@
         """
         """
+        widget.CHILD_FRAME = wx.Frame
         frame = DensityWindow(None, title="Density/Volume Calculator")    
         frame.Show(True)
Index: calculatorview/src/sans/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/gen_scatter_panel.py	(revision d0923a300687b51f5dc2335ed16bfa1c4cc35405)
+++ calculatorview/src/sans/perspectives/calculator/gen_scatter_panel.py	(revision 62af27a957973987c9c4bd4d2938105b8bef0d46)
@@ -35,5 +35,6 @@
 from sans.perspectives.calculator.load_thread import GenReader
 from danse.common.plottools.arrow3d import Arrow3D
-from sans.perspectives.calculator import calculator_widgets as widget   
+from sans.perspectives.calculator import calculator_widgets as widget
+from sans.guiframe.events import NewPlotEvent    
 
 _BOX_WIDTH = 76
@@ -2011,19 +2012,21 @@
         """
         """
-        from sans.guiframe.events import NewPlotEvent 
-        wx.PostEvent(self.parent, NewPlotEvent(plot=plot, title=title))
-        """
-        frame = PlotFrame(self, -1, 'testView', self.scale2d)
-        add_icon(self.parent, frame)
-        frame.add_plot(plot)
-        frame.SetTitle(title)
-        frame.Show(True)
-        frame.SetFocus()
-        """
+        try: 
+            wx.PostEvent(self.parent, NewPlotEvent(plot=plot, title=title))
+        except:
+            # standalone
+            frame = PlotFrame(self, -1, 'testView', self.scale2d)
+            #add_icon(self.parent, frame)
+            frame.add_plot(plot)
+            frame.SetTitle(title)
+            frame.Show(True)
+            frame.SetFocus()
+
     def set_schedule_full_draw(self, panel=None, func='del'):  
         """
         Send full draw to gui frame
         """
-        self.parent.set_schedule_full_draw(panel, func)
+        if self.parent != None:
+            self.parent.set_schedule_full_draw(panel, func)
         
     def get_npix(self):
@@ -2132,4 +2135,5 @@
 if __name__ == "__main__": 
     app = wx.PySimpleApp()
+    widget.CHILD_FRAME = wx.Frame
     SGframe = SasGenWindow()    
     SGframe.Show(True)
Index: calculatorview/src/sans/perspectives/calculator/kiessig_calculator_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/kiessig_calculator_panel.py	(revision d0923a300687b51f5dc2335ed16bfa1c4cc35405)
+++ calculatorview/src/sans/perspectives/calculator/kiessig_calculator_panel.py	(revision 62af27a957973987c9c4bd4d2938105b8bef0d46)
@@ -216,4 +216,5 @@
 if __name__ == "__main__": 
     app = wx.PySimpleApp()
+    widget.CHILD_FRAME = wx.Frame
     frame = KiessigWindow()    
     frame.Show(True)
Index: calculatorview/src/sans/perspectives/calculator/resolution_calculator_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/resolution_calculator_panel.py	(revision d0923a300687b51f5dc2335ed16bfa1c4cc35405)
+++ calculatorview/src/sans/perspectives/calculator/resolution_calculator_panel.py	(revision 62af27a957973987c9c4bd4d2938105b8bef0d46)
@@ -1428,4 +1428,5 @@
 if __name__ == "__main__": 
     app = wx.PySimpleApp()
+    widget.CHILD_FRAME = wx.Frame
     frame = ResolutionWindow()    
     frame.Show(True)
Index: calculatorview/src/sans/perspectives/calculator/sld_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/sld_panel.py	(revision d0923a300687b51f5dc2335ed16bfa1c4cc35405)
+++ calculatorview/src/sans/perspectives/calculator/sld_panel.py	(revision 62af27a957973987c9c4bd4d2938105b8bef0d46)
@@ -474,4 +474,5 @@
         """
         """
+        widget.CHILD_FRAME = wx.Frame
         frame = SldWindow(None, title='SLD Calculator')    
         frame.Show(True)
Index: calculatorview/src/sans/perspectives/calculator/slit_length_calculator_panel.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/slit_length_calculator_panel.py	(revision d0923a300687b51f5dc2335ed16bfa1c4cc35405)
+++ calculatorview/src/sans/perspectives/calculator/slit_length_calculator_panel.py	(revision 62af27a957973987c9c4bd4d2938105b8bef0d46)
@@ -279,4 +279,5 @@
 if __name__ == "__main__": 
     app = wx.PySimpleApp()
+    widget.CHILD_FRAME = wx.Frame
     frame = SlitLengthCalculatorWindow()    
     frame.Show(True)
